python-vatnumber_1.0-2_all.deb


Advertisement

Description

python-vatnumber - Python module to validate VAT numbers

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name python-vatnumber
Package version 1.0
Package release 2
Package architecture all
Package type deb
Installed size 116 B
Download size 10.08 KB
Official Mirror ftp.br.debian.org
This is a Python module to check the validity of Value Added Tax (VAT) numbers
of States inside the European Union. It uses the validation rules according to
http://sima-pc.com/nif.php.
Additionally this module provides a function for online validation of given VAT
numbers by the VIES VAT number validation (SOAP Service) of the Taxation and
Customs Union: http://ec.europa.eu/taxation_customs/vies/vieshome.do

Alternatives

Package Version Architecture Repository
python-vatnumber_1.0-2_all.deb 1.0 all Debian Main
python-vatnumber - - -

Requires

Name Value
python << 2.8
python >= 2.6.6-7~
python-pkg-resources -
python2.6 -
python2.7 -

Download

Type URL
Binary Package python-vatnumber_1.0-2_all.deb
Source Package vatnumber

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-vatnumber deb package:
    # sudo apt-get install python-vatnumber

Files

Path
/usr/lib/python2.6/dist-packages/vatnumber/__init__.py
/usr/lib/python2.6/dist-packages/vatnumber/tests.py
/usr/lib/python2.6/dist-packages/vatnumber-1.0.egg-info/PKG-INFO
/usr/lib/python2.6/dist-packages/vatnumber-1.0.egg-info/SOURCES.txt
/usr/lib/python2.6/dist-packages/vatnumber-1.0.egg-info/dependency_links.txt
/usr/lib/python2.6/dist-packages/vatnumber-1.0.egg-info/requires.txt
/usr/lib/python2.6/dist-packages/vatnumber-1.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/vatnumber/__init__.py
/usr/lib/python2.7/dist-packages/vatnumber/tests.py
/usr/lib/python2.7/dist-packages/vatnumber-1.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/vatnumber-1.0.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/vatnumber-1.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/vatnumber-1.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/vatnumber-1.0.egg-info/top_level.txt
/usr/share/doc/python-vatnumber/changelog.Debian.gz
/usr/share/doc/python-vatnumber/changelog.gz
/usr/share/doc/python-vatnumber/copyright
/usr/share/pyshared/vatnumber/__init__.py
/usr/share/pyshared/vatnumber/tests.py
/usr/share/pyshared/vatnumber-1.0.egg-info/PKG-INFO
/usr/share/pyshared/vatnumber-1.0.egg-info/SOURCES.txt
/usr/share/pyshared/vatnumber-1.0.egg-info/dependency_links.txt
/usr/share/pyshared/vatnumber-1.0.egg-info/requires.txt
/usr/share/pyshared/vatnumber-1.0.egg-info/top_level.txt

Changelog

2012-06-30 - Daniel Baumann <daniel@debian.org>
vatnumber (1:1.0-2) unstable; urgency=low
[ Mathias Behrle ]
* Updating to Standards-Version: 3.9.3, no changes needed.
* Updating year in copyright.
* Adding myself to copyright.
* Adding Format header for DEP5.
[ Daniel Baumann ]
* Updating maintainers field.
* Updating vcs fields.
* Switching to xz compression.
* Updating to debhelper version 9.
* Correcting copyright file to match format version 1.0.
2011-09-28 - Mathias Behrle <mathiasb@m9s.biz>
vatnumber (1:1.0-1) unstable; urgency=low
* Merging upstream version 1.0.
* Removing deprecated XB-Python-Version for dh_python2.
2011-07-17 - Mathias Behrle <mathiasb@m9s.biz>
vatnumber (1:0.9-2) unstable; urgency=low
[ Mathias Behrle ]
* Removing obsolete backup file.
* Updating to standards version 3.9.2.
[ Daniel Baumann ]
* Not wrapping uploaders field, it does not exceed 80 chars.
* Compacting copyright file.
* Moving to source format 3.0 (quilt).
* Rewrapping package long-description.
[ Mathias Behrle ]
* Moving from deprecated python-support to dh_python2.
2011-03-21 - Mathias Behrle <mathiasb@m9s.biz>
vatnumber (1:0.9-1) unstable; urgency=low
* Merging upstream version 0.9.
2011-02-07 - Mathias Behrle <mathiasb@m9s.biz>
vatnumber (1:0.8-1) unstable; urgency=low
* Changing my email address.
* Merging upstream version 0.8.
* Updating Copyright.
2010-11-12 - Daniel Baumann <daniel@debian.org>
vatnumber (1:0.7-2) experimental; urgency=low
* Updating to debhelper version 8.
* Updating to standards version 3.9.1.
* Switching to source format 3.0 (quilt).
2010-08-24 - Mathias Behrle <mathiasb@mbsolutions.selfip.biz>
vatnumber (1:0.7-1) unstable; urgency=low
* Merging upstream version 0.7.
2010-07-13 - Mathias Behrle <mathiasb@mbsolutions.selfip.biz>
vatnumber (1:0.6-2) unstable; urgency=low
[ Mathias Behrle ]
* Adding python-suds to Recommends.
* Fixing typo in Recommends.
[ Daniel Baumann ]
* Updating standards version to 3.9.0.
2010-05-31 - Daniel Baumann <daniel@debian.org>
vatnumber (1:0.6-1) unstable; urgency=low
* Merging upstream version 0.6.
* Updating year in copyright file.
2010-05-13 - Daniel Baumann <daniel@debian.org>
vatnumber (1:0.5-3) unstable; urgency=low
* Adding Dm-Upload-Allowed in control in preparation for Mathias.

See Also

Package Description
python-venusian_1.0a6-1_all.deb library for deferring decorator actions
python-vigra-doc_1.7.1+dfsg1-3_all.deb Documentation for Python bindings for the C++ computer vision library
python-vigra_1.7.1+dfsg1-3_i386.deb Python bindings for the C++ computer vision library
python-viper_1.0.0-1_all.deb minimalistic scientific plotter and run-time visualization module
python-vipscc_7.28.5-1+deb7u1_i386.deb image processing system good for very large images (tools)
python-virtualenv_1.7.1.2-2_all.deb Python virtual environment creator
python-visual_5.12-1.5_i386.deb VPython 3D scientific visualization library
python-vobject_0.8.1c-4_all.deb parse iCalendar and VCards in Python
python-vsgui_0.3.3-1_all.deb Very Simple Graphical library for Python shell script
python-vte_0.28.2-5_i386.deb Python bindings for the VTE widget set
python-vtk_5.8.0-13+b1_i386.deb Python bindings for VTK
python-vtkgdcm_2.2.0-14.1_i386.deb Grassroots DICOM VTK/Python bindings
python-w3lib_1.0-1_all.deb Collection of web-related functions for Python
python-wader_0.5.10-1_all.deb common services for wader-core daemon and alternate clients
python-wadllib_1.3.0-2_all.deb Python library for navigating WADL files
Advertisement
Advertisement